#
# spec file for package perl-BSD-Resource
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-BSD-Resource
Version:        1.2907
Release:        8.2
%define cpan_name BSD-Resource
Summary:        BSD process resource limit and priority functions
License:        Apache-2.0 or LGPL-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/BSD-Resource/
Source:         http://www.cpan.org/authors/id/J/JH/JHI/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(BSD::Resource)
%{perl_requires}

%description
BSD process resource limit and priority functions

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Fri Jul 26 2013 coolo@suse.com
- updated to 1.2907
  * Address rt.cpan.org #86857: t/setrlimit.t failure
    Skip setrlimit() tests also if the hard limit is RLIM_INFINITY.
  * Release 1.2907.
  2013-07-07  Jarkko Hietaniemi  <jhi@iki.fi>
  * Skip number-of-files and stack setrlimit tests in Cygwin:
    the constants exist but the implementation doesn't really
    seem to be there.  Document this in the pod.  Testing by dsolimano.
  * For setrlimit tests involving byte sizes (memory or file size)
    round the byte sizes down to 4 kB boundaries.
  * Fix some pod nits.
  * Release 1.2906.
  2013-06-22  Jarkko Hietaniemi  <jhi@iki.fi>
  * Address rt.cpan.org #86334: typo fixes
  * Address rt.cpan.org #62504: Disable user/system
    timing tests if workload accumulate too little time
  * Attempt harder in getrusage.t to burn enough user and system time,
    refactor the "burn some cpu" utility into t/burn.pl, use that also
    in t/times.t.
  * Fix a testing problem in NetBSD for t/setrlimit.t,
    the tests were misnumbered.
  * Silence compilation warnings coming from Perl 5.18.0.
  * Clarify the license to be Artistic 2.0 or LGPL 2.0.
  * Regenerate ppport.h with Perl 5.18.0.
  * Release 1.2905.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Mar 25 2010 anicka@suse.cz
- update to 1.2904
  * Address rt.cpan.org #53856: memory leak in get_rlimits()
  * Address rt.cpan.org #53859: clarify get_rlimits() docs
* Thu Feb  4 2010 jengelh@medozas.de
- add comment about possible testcase failure
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Apr  6 2009 anicka@suse.cz
- update to 1.2903
  * Address rt.cpan.org #44082:
  "Bug in compiler detection (Makefile.PL)" (for AIX xlc)
* Fri Jan 23 2009 anicka@suse.cz
- update to 1.2902
  * Lowered the "0.95 of the current limit" down to
  "0.75 of the current limit" in setrlimit.t so that
  more memory-constrained systems (like 2MB or less of
  default stack) have slightly more chance of completing the test.
  The 0.75 also has more chance of aligning with page sizes.
  * The scalar context return of getrlimit() was documented
  to return an object, even though it really returned the
  soft limit. Fixed the documentation.
  * Judging by the cpantesters reports no netbsd has a functional
  RLIMIT_STACK, so skipping the test in all of them.
  * netbsd-alpha does not have a functional RLIMIT_STACK,
  reported by David Cantrell.  Skip the test, and document
  as a known issue.
- remove the last patch, because upstream prefers fixing documentation
  before fixing the behavior. We are compatible with the upstream now,
  but not with our last release.
* Tue Nov 25 2008 anicka@suse.cz
- getrlimit: return object in scalar context  according to
  the documentation (bnc#446693)
* Mon Mar  3 2008 anicka@suse.cz
- update to 1.2901
  * Rewrite the setrlimit.t test.
  * Allow calling getrlimit/setrlimit and getpriority/setpriority
    with the string names ("RLIMIT_NPROC", for example).
  * Include ppport.h (generated with perl 5.8.8), reshuffle
    system header includes appropriately.
- drop setrlimit.t patch
* Sun Jan 13 2008 coolo@suse.de
- take a patch from fedora to make it build
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Wed Jul 12 2006 anicka@suse.cz
- update to 1.28
  * many bugfixes added
- remove unneccessary test patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 uli@suse.de
- no test on ARM (unimplemented calls in QEMU)
* Fri Aug 13 2004 mjancar@suse.cz
- update to 1.24
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.23
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug  7 2003 mjancar@suse.cz
- fix test that assumed that it runs with nice 0
* Wed Aug  6 2003 mludvig@suse.cz
- package creation
